- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# OSrLParserData Class Reference

The OSrLParserData Class. More...

`#include <OSrLParserData.h>`

Collaboration diagram for OSrLParserData:

[legend]
List of all members.

## Public Member Functions
| OSrLParserData ()
| the OSrLParserData class constructor
| ~OSrLParserData ()
| OSrLParserData ()
| the OSrLParserData class constructor
| ~OSrLParserData ()
## Public Attributes
std::string | statusType
| the status type of the result
std::string | statusDescription
| the status Description of the solution
double | timeValue
| the next few variables store a time measurement and associated attribute values
std::string | timeType
std::string | timeCategory
std::string | timeUnit
std::string | timeDescription
int | numberOfTimes
| There could be more than one time measurement; numberOfTimes stores the number of them.
std::string | tmpOtherValue
| Provide temporary storage for attribute values associated with an OtherVarResult.
std::string | tmpOtherName
std::string | tmpOtherDescription
std::string | itemContent
| Provide temporary storage for a single <record> contained in an OtherSolutionResult.
void * | scanner
| scanner is used to store data in a reentrant lexer we use this to pass an OSrLParserData object to the parser
unsigned int | numberOfSolutions
| number of result solutions
int | numberOfVariables
| number of variables in the solution instance
int | numberOfConstraints
| number of constraints in the solution instance
int | numberOfObjectives
| number of Objectives in the solution instance
int | numberOfIdx
| number of indexes in a category of basis elements, may change from category to category and solution to solution
int | numberOfVar
| number of variables in a solution instance, may change from solution to solution
int | numberOfVarIdx
| number of variables indices in other variable result enumeration, may change from solution to solution
int | numberOfCon
| number of constraints in a solution instance, may change from solution to solution
int | numberOfEnumerations
int | numberOfObj
| number of Objectives in a solution instance may change from solution to solution
int | numberOf
| a temporary variable to hold the number of entries in a list
int | kounter
| a temporary counter to count variables, number of attributes, etc.
int | iOther
| a temporary counter to count other variable, objective and constraint results
int | ivar
| a temporary variable to hold an integer index value
int | idx
| a temporary variable to hold an integer index value
double | tempVal
| a temporary variable to hold an integer or double value
int | tempInt
| a temporary variable to hold an integer value
std::string | tempStr
| a temporary variable to hold a string
std::ostringstream | outStr
| a temporary variable to hold an output stream value
int | numberOfOtherVariableResults
| the number of types of variable results other than the value of the variable
int | numberOfOtherObjectiveResults
| the number of types of objective results other than the value of the objective
int | numberOfOtherConstraintResults
| the number of types of constraint results other than the value of the constraint
unsigned int | solutionIdx
| an index of which solution we have found
int | mult
| a multiplier or repeat count for compact representation of an array
int | incr
| an increment for compact representation of an array (used with mult)
bool | numberAttributePresent
| a number of boolean vriables to track which of the attributes have been found in the present list.
bool | incrPresent
bool | multPresent
bool | idxAttributePresent
bool | categoryAttributePresent
bool | descriptionAttributePresent
bool | nameAttributePresent
bool | numberOfVarAttributePresent
bool | numberOfVarIdxAttributePresent
bool | numberOfObjAttributePresent
bool | numberOfObjIdxAttributePresent
bool | numberOfConAttributePresent
bool | numberOfConIdxAttributePresent
bool | numberOfEnumerationsAttributePresent
bool | typeAttributePresent
bool | unitAttributePresent
bool | valueAttributePresent
bool | weightedObjAttributePresent
std::string | categoryAttribute
| many attributes, particularly those that return strings, are used multiple times, and the parser uses generic constructs for them.
std::string | descriptionAttribute
std::string | nameAttribute
std::string | typeAttribute
std::string | unitAttribute
std::string | valueAttribute
bool | nVarPresent
bool | nObjPresent
bool | nConPresent
bool | generalStatusPresent
| set general.
bool | generalMessagePresent
bool | generalServiceURIPresent
bool | generalServiceNamePresent
bool | generalInstanceNamePresent
bool | generalJobIDPresent
bool | generalSolverInvokedPresent
bool | generalTimeStampPresent
bool | otherGeneralResultsPresent
bool | systemInformationPresent
| set system.
bool | systemAvailableDiskSpacePresent
bool | systemAvailableMemoryPresent
bool | systemAvailableCPUSpeedPresent
bool | systemAvailableCPUNumberPresent
bool | otherSystemResultsPresent
bool | serviceCurrentStatePresent
| set service.
bool | serviceCurrentJobCountPresent
bool | serviceTotalJobsSoFarPresent
bool | timeServiceStartedPresent
bool | serviceUtilizationPresent
bool | otherServiceResultsPresent
bool | jobStatusPresent
| set job.
bool | jobSubmitTimePresent
bool | scheduledStartTimePresent
bool | actualStartTimePresent
bool | jobEndTimePresent
bool | jobTimingInformationPresent
bool | jobUsedDiskSpacePresent
bool | jobUsedMemoryPresent
bool | jobUsedCPUSpeedPresent
bool | jobUsedCPUNumberPresent
bool | otherJobResultsPresent
bool | numberOfItemsPresent
int | numberOfItems
IndexValuePair * | primalValPair
| for each solution we will build a vector of index-value pairs of primal values
std::vector< IndexValuePair * > | primalVals
IndexValuePair * | objValPair
| for each solution we will build a vector of index-value pairs of objective function values
std::vector< IndexValuePair * > | objVals
IndexValuePair * | dualValPair
| for each solution we will build a vector of index-value pairs of dual values
std::vector< IndexValuePair * > | dualVals
OtherVariableResultStruct * | otherVarStruct
| a pointer to an OtherVariableResultStruct structure
std::vector< OtherVariableResultStruct * > | otherVarVec
| store a vector of pointers to otherVarVec structures
char * | errorText
| if the parser finds invalid text it is held here and we delete if the file was not valid
void * | scanner
| scanner is used to store data in a reentrant lexer we use this to pass an OSrLParserData object to the parser
int | numberOfSolutions
| number of result solutions
int | solutionIdx
| and index on which solution we have found
bool | statusTypePresent
| set statusTypePresent to true if there is a status attribute parsed
bool | generalStatusTypePresent
| set generalStatusTypePresent to true if there is a general status attribute parsed
bool | otherNamePresent
| set otherNamePresent to true if there is a name attribute in anotherVarResult
int * | objectiveIdx
| pointer to the array of objective function indexes in each solution
double ** | objectiveValues
| for each solution we have a pointer to the value of each objective function
double ** | primalSolution
| for each solution we have a pointer to each primal solution
double ** | dualSolution
| for each solution we have a pointer to each dual solution
OtherVariableResultStruct * | otherVarStruct
| a pointer to an OtherVariableResultStruct structure
std::vector< OtherVariableResultStruct * > | otherVarVec
| store a vector of pointers to otherVarVec structures
char * | errorText
| if the parser finds invalid text it is held here and we delete if the file was not valid

## Detailed Description

The OSrLParserData Class.

Author:
  Horand Gassmann, Jun Ma, Kipp Martin

Version:
  1.0, 03/14/2004

Since:
  OS 1.0

Remarks:
  the OSrLParserData class is used to temporarily hold data found in parsing the OSrL instance we do this so we can have a reentrant parser.

Definition at line 82 of file OSrLParserData.h.

## Constructor & Destructor Documentation

OSrLParserData::OSrLParserData | ( |  | ) |

the OSrLParserData class constructor

Definition at line 24 of file OSrLParserData.cpp.

OSrLParserData::~OSrLParserData | ( |  | ) |

Definition at line 20 of file OSrLParserData.cpp.

OSrLParserData::OSrLParserData | ( |  | ) |

the OSrLParserData class constructor

OSrLParserData::~OSrLParserData | ( |  | ) |

## Member Data Documentation

std::string OSrLParserData::statusType

the status type of the result

Definition at line 93 of file OSrLParserData.h.

std::string OSrLParserData::statusDescription

the status Description of the solution

Definition at line 96 of file OSrLParserData.h.

double OSrLParserData::timeValue

the next few variables store a time measurement and associated attribute values

Definition at line 100 of file OSrLParserData.h.

std::string OSrLParserData::timeType

Definition at line 101 of file OSrLParserData.h.

std::string OSrLParserData::timeCategory

Definition at line 102 of file OSrLParserData.h.

std::string OSrLParserData::timeUnit

Definition at line 103 of file OSrLParserData.h.

std::string OSrLParserData::timeDescription

Definition at line 104 of file OSrLParserData.h.

int OSrLParserData::numberOfTimes

There could be more than one time measurement; numberOfTimes stores the number of them.

Definition at line 108 of file OSrLParserData.h.

std::string OSrLParserData::tmpOtherValue

Provide temporary storage for attribute values associated with an OtherVarResult.

Definition at line 111 of file OSrLParserData.h.

std::string OSrLParserData::tmpOtherName

Definition at line 112 of file OSrLParserData.h.

std::string OSrLParserData::tmpOtherDescription

Definition at line 113 of file OSrLParserData.h.

std::string OSrLParserData::itemContent

Provide temporary storage for a single <record> contained in an OtherSolutionResult.

Definition at line 116 of file OSrLParserData.h.

void* OSrLParserData::scanner

scanner is used to store data in a reentrant lexer we use this to pass an OSrLParserData object to the parser

Definition at line 120 of file OSrLParserData.h.

Referenced by OSrLReader::OSrLReader(), and OSrLReader::~OSrLReader().

unsigned int OSrLParserData::numberOfSolutions

number of result solutions

Definition at line 123 of file OSrLParserData.h.

int OSrLParserData::numberOfVariables

number of variables in the solution instance

Definition at line 126 of file OSrLParserData.h.

int OSrLParserData::numberOfConstraints

number of constraints in the solution instance

Definition at line 129 of file OSrLParserData.h.

int OSrLParserData::numberOfObjectives

number of Objectives in the solution instance

Definition at line 132 of file OSrLParserData.h.

int OSrLParserData::numberOfIdx

number of indexes in a category of basis elements, may change from category to category and solution to solution

Definition at line 137 of file OSrLParserData.h.

int OSrLParserData::numberOfVar

number of variables in a solution instance, may change from solution to solution

Definition at line 142 of file OSrLParserData.h.

int OSrLParserData::numberOfVarIdx

number of variables indices in other variable result enumeration, may change from solution to solution

Definition at line 147 of file OSrLParserData.h.

int OSrLParserData::numberOfCon

number of constraints in a solution instance, may change from solution to solution

Definition at line 152 of file OSrLParserData.h.

int OSrLParserData::numberOfEnumerations

Definition at line 154 of file OSrLParserData.h.

int OSrLParserData::numberOfObj

number of Objectives in a solution instance may change from solution to solution

Definition at line 159 of file OSrLParserData.h.

int OSrLParserData::numberOf

a temporary variable to hold the number of entries in a list

Definition at line 162 of file OSrLParserData.h.

int OSrLParserData::kounter

a temporary counter to count variables, number of attributes, etc.

Definition at line 165 of file OSrLParserData.h.

int OSrLParserData::iOther

a temporary counter to count other variable, objective and constraint results

Definition at line 168 of file OSrLParserData.h.

int OSrLParserData::ivar

a temporary variable to hold an integer index value

Definition at line 171 of file OSrLParserData.h.

int OSrLParserData::idx

a temporary variable to hold an integer index value

Definition at line 174 of file OSrLParserData.h.

double OSrLParserData::tempVal

a temporary variable to hold an integer or double value

Definition at line 177 of file OSrLParserData.h.

int OSrLParserData::tempInt

a temporary variable to hold an integer value

Definition at line 180 of file OSrLParserData.h.

std::string OSrLParserData::tempStr

a temporary variable to hold a string

Definition at line 183 of file OSrLParserData.h.

std::ostringstream OSrLParserData::outStr

a temporary variable to hold an output stream value

Definition at line 186 of file OSrLParserData.h.

int OSrLParserData::numberOfOtherVariableResults

the number of types of variable results other than the value of the variable

Definition at line 191 of file OSrLParserData.h.

int OSrLParserData::numberOfOtherObjectiveResults

the number of types of objective results other than the value of the objective

Definition at line 196 of file OSrLParserData.h.

int OSrLParserData::numberOfOtherConstraintResults

the number of types of constraint results other than the value of the constraint

Definition at line 201 of file OSrLParserData.h.

unsigned int OSrLParserData::solutionIdx

an index of which solution we have found

Definition at line 204 of file OSrLParserData.h.

int OSrLParserData::mult

a multiplier or repeat count for compact representation of an array

Definition at line 207 of file OSrLParserData.h.

int OSrLParserData::incr

an increment for compact representation of an array (used with mult)

Definition at line 210 of file OSrLParserData.h.

bool OSrLParserData::numberAttributePresent

a number of boolean vriables to track which of the attributes have been found in the present list.

Attributes have standardized names, and the information about their presence or absence is immaterial once the list has been completely processed, so the boolean variables can be reused in the same way the names can be reused.

Definition at line 218 of file OSrLParserData.h.

bool OSrLParserData::incrPresent

Definition at line 219 of file OSrLParserData.h.

bool OSrLParserData::multPresent

Definition at line 220 of file OSrLParserData.h.

bool OSrLParserData::idxAttributePresent

Definition at line 221 of file OSrLParserData.h.

bool OSrLParserData::categoryAttributePresent

Definition at line 222 of file OSrLParserData.h.

bool OSrLParserData::descriptionAttributePresent

Definition at line 223 of file OSrLParserData.h.

bool OSrLParserData::nameAttributePresent

Definition at line 224 of file OSrLParserData.h.

bool OSrLParserData::numberOfVarAttributePresent

Definition at line 225 of file OSrLParserData.h.

bool OSrLParserData::numberOfVarIdxAttributePresent

Definition at line 226 of file OSrLParserData.h.

bool OSrLParserData::numberOfObjAttributePresent

Definition at line 227 of file OSrLParserData.h.

bool OSrLParserData::numberOfObjIdxAttributePresent

Definition at line 228 of file OSrLParserData.h.

bool OSrLParserData::numberOfConAttributePresent

Definition at line 229 of file OSrLParserData.h.

bool OSrLParserData::numberOfConIdxAttributePresent

Definition at line 230 of file OSrLParserData.h.

bool OSrLParserData::numberOfEnumerationsAttributePresent

Definition at line 231 of file OSrLParserData.h.

bool OSrLParserData::typeAttributePresent

Definition at line 232 of file OSrLParserData.h.

bool OSrLParserData::unitAttributePresent

Definition at line 233 of file OSrLParserData.h.

bool OSrLParserData::valueAttributePresent

Definition at line 234 of file OSrLParserData.h.

bool OSrLParserData::weightedObjAttributePresent

Definition at line 235 of file OSrLParserData.h.

std::string OSrLParserData::categoryAttribute

many attributes, particularly those that return strings, are used multiple times, and the parser uses generic constructs for them.

These temporary variables are used to hold the values returned by the parser.

Definition at line 242 of file OSrLParserData.h.

std::string OSrLParserData::descriptionAttribute

Definition at line 243 of file OSrLParserData.h.

std::string OSrLParserData::nameAttribute

Definition at line 244 of file OSrLParserData.h.

std::string OSrLParserData::typeAttribute

Definition at line 245 of file OSrLParserData.h.

std::string OSrLParserData::unitAttribute

Definition at line 246 of file OSrLParserData.h.

std::string OSrLParserData::valueAttribute

Definition at line 247 of file OSrLParserData.h.

bool OSrLParserData::nVarPresent

Definition at line 250 of file OSrLParserData.h.

bool OSrLParserData::nObjPresent

Definition at line 251 of file OSrLParserData.h.

bool OSrLParserData::nConPresent

Definition at line 252 of file OSrLParserData.h.

bool OSrLParserData::generalStatusPresent

set general.

..Present to true if the corresponding element (child of the <general> element) has been parsed

Definition at line 257 of file OSrLParserData.h.

bool OSrLParserData::generalMessagePresent

Definition at line 258 of file OSrLParserData.h.

bool OSrLParserData::generalServiceURIPresent

Definition at line 259 of file OSrLParserData.h.

bool OSrLParserData::generalServiceNamePresent

Definition at line 260 of file OSrLParserData.h.

bool OSrLParserData::generalInstanceNamePresent

Definition at line 261 of file OSrLParserData.h.

bool OSrLParserData::generalJobIDPresent

Definition at line 262 of file OSrLParserData.h.

bool OSrLParserData::generalSolverInvokedPresent

Definition at line 263 of file OSrLParserData.h.

bool OSrLParserData::generalTimeStampPresent

Definition at line 264 of file OSrLParserData.h.

bool OSrLParserData::otherGeneralResultsPresent

Definition at line 265 of file OSrLParserData.h.

bool OSrLParserData::systemInformationPresent

set system.

..Present to true if the corresponding element (child of the <system> element) has been parsed

Definition at line 270 of file OSrLParserData.h.

bool OSrLParserData::systemAvailableDiskSpacePresent

Definition at line 271 of file OSrLParserData.h.

bool OSrLParserData::systemAvailableMemoryPresent

Definition at line 272 of file OSrLParserData.h.

bool OSrLParserData::systemAvailableCPUSpeedPresent

Definition at line 273 of file OSrLParserData.h.

bool OSrLParserData::systemAvailableCPUNumberPresent

Definition at line 274 of file OSrLParserData.h.

bool OSrLParserData::otherSystemResultsPresent

Definition at line 275 of file OSrLParserData.h.

bool OSrLParserData::serviceCurrentStatePresent

set service.

..Present to true if the corresponding element (child of the <service> element) has been parsed

Definition at line 280 of file OSrLParserData.h.

bool OSrLParserData::serviceCurrentJobCountPresent

Definition at line 281 of file OSrLParserData.h.

bool OSrLParserData::serviceTotalJobsSoFarPresent

Definition at line 282 of file OSrLParserData.h.

bool OSrLParserData::timeServiceStartedPresent

Definition at line 283 of file OSrLParserData.h.

bool OSrLParserData::serviceUtilizationPresent

Definition at line 284 of file OSrLParserData.h.

bool OSrLParserData::otherServiceResultsPresent

Definition at line 285 of file OSrLParserData.h.

bool OSrLParserData::jobStatusPresent

set job.

..Present to true if the corresponding element (child of the <job> element) has been parsed

Definition at line 290 of file OSrLParserData.h.

bool OSrLParserData::jobSubmitTimePresent

Definition at line 291 of file OSrLParserData.h.

bool OSrLParserData::scheduledStartTimePresent

Definition at line 292 of file OSrLParserData.h.

bool OSrLParserData::actualStartTimePresent

Definition at line 293 of file OSrLParserData.h.

bool OSrLParserData::jobEndTimePresent

Definition at line 294 of file OSrLParserData.h.

bool OSrLParserData::jobTimingInformationPresent

Definition at line 295 of file OSrLParserData.h.

bool OSrLParserData::jobUsedDiskSpacePresent

Definition at line 296 of file OSrLParserData.h.

bool OSrLParserData::jobUsedMemoryPresent

Definition at line 297 of file OSrLParserData.h.

bool OSrLParserData::jobUsedCPUSpeedPresent

Definition at line 298 of file OSrLParserData.h.

bool OSrLParserData::jobUsedCPUNumberPresent

Definition at line 299 of file OSrLParserData.h.

bool OSrLParserData::otherJobResultsPresent

Definition at line 300 of file OSrLParserData.h.

bool OSrLParserData::numberOfItemsPresent

Definition at line 302 of file OSrLParserData.h.

int OSrLParserData::numberOfItems

Definition at line 303 of file OSrLParserData.h.

struct IndexValuePair* OSrLParserData::primalValPair

for each solution we will build a vector of index-value pairs of primal values

Definition at line 308 of file OSrLParserData.h.

std::vector<IndexValuePair*> OSrLParserData::primalVals

Definition at line 309 of file OSrLParserData.h.

struct IndexValuePair* OSrLParserData::objValPair

for each solution we will build a vector of index-value pairs of objective function values

Definition at line 314 of file OSrLParserData.h.

std::vector<IndexValuePair*> OSrLParserData::objVals

Definition at line 315 of file OSrLParserData.h.

struct IndexValuePair* OSrLParserData::dualValPair

for each solution we will build a vector of index-value pairs of dual values

Definition at line 320 of file OSrLParserData.h.

std::vector<IndexValuePair*> OSrLParserData::dualVals

Definition at line 321 of file OSrLParserData.h.

struct OtherVariableResultStruct* OSrLParserData::otherVarStruct

a pointer to an OtherVariableResultStruct structure

Definition at line 325 of file OSrLParserData.h.

std::vector<OtherVariableResultStruct*> OSrLParserData::otherVarVec

store a vector of pointers to otherVarVec structures

Definition at line 328 of file OSrLParserData.h.

char* OSrLParserData::errorText

if the parser finds invalid text it is held here and we delete if the file was not valid

Definition at line 333 of file OSrLParserData.h.

void* OSrLParserData::scanner

scanner is used to store data in a reentrant lexer we use this to pass an OSrLParserData object to the parser

Definition at line 116 of file OSrLParserData.h.

int OSrLParserData::numberOfSolutions

number of result solutions

Definition at line 119 of file OSrLParserData.h.

int OSrLParserData::solutionIdx

and index on which solution we have found

Definition at line 151 of file OSrLParserData.h.

bool OSrLParserData::statusTypePresent

set statusTypePresent to true if there is a status attribute parsed

Definition at line 156 of file OSrLParserData.h.

bool OSrLParserData::generalStatusTypePresent

set generalStatusTypePresent to true if there is a general status attribute parsed

Definition at line 161 of file OSrLParserData.h.

bool OSrLParserData::otherNamePresent

set otherNamePresent to true if there is a name attribute in anotherVarResult

Definition at line 166 of file OSrLParserData.h.

int* OSrLParserData::objectiveIdx

pointer to the array of objective function indexes in each solution

Definition at line 171 of file OSrLParserData.h.

double** OSrLParserData::objectiveValues

for each solution we have a pointer to the value of each objective function

Definition at line 176 of file OSrLParserData.h.

double** OSrLParserData::primalSolution

for each solution we have a pointer to each primal solution

Definition at line 179 of file OSrLParserData.h.

double** OSrLParserData::dualSolution

for each solution we have a pointer to each dual solution

Definition at line 182 of file OSrLParserData.h.

struct OtherVariableResultStruct* OSrLParserData::otherVarStruct

a pointer to an OtherVariableResultStruct structure

Definition at line 188 of file OSrLParserData.h.

std::vector<OtherVariableResultStruct*> OSrLParserData::otherVarVec

store a vector of pointers to otherVarVec structures

Definition at line 191 of file OSrLParserData.h.

char* OSrLParserData::errorText

if the parser finds invalid text it is held here and we delete if the file was not valid

Definition at line 196 of file OSrLParserData.h.

The documentation for this class was generated from the following files:

- /home/coin/SVN-release/OS-2.3.5/OS/src/OSParsers/OSrLParserData.h
- /home/coin/SVN-release/OS-2.3.5/OS/v2.0/OSrLParserData.h
- /home/coin/SVN-release/OS-2.3.5/OS/src/OSParsers/OSrLParserData.cpp
- /home/coin/SVN-release/OS-2.3.5/OS/v2.0/OSrLParserData.cpp